/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct DataRetentionPolicyWithTeamAndChannelCountsAllOf {
    /// The number of teams to which this policy is applied.
    #[serde(rename = "team_count", skip_serializing_if = "Option::is_none")]
    pub team_count: Option<i32>,
    /// The number of channels to which this policy is applied.
    #[serde(rename = "channel_count", skip_serializing_if = "Option::is_none")]
    pub channel_count: Option<i32>,
}

impl DataRetentionPolicyWithTeamAndChannelCountsAllOf {
    pub fn new() -> DataRetentionPolicyWithTeamAndChannelCountsAllOf {
        DataRetentionPolicyWithTeamAndChannelCountsAllOf {
            team_count: None,
            channel_count: None,
        }
    }
}
